//****************************** Module Header ******************************
// Module Name: sqlstres.c
//
// sqlstres's header file
//***************************************************************************

//#include <windows.h>
//#include <stdlib.h>
//#include <stdio.h>
//#include <process.h>
//#include <stddef.h>
//#include <commdlg.h>
//#include <stdarg.h>
//#include <string.h>
//#include <time.h>

#define DBNTWIN32
#include <sqlfront.h>
#include <sqldb.h>
#include "dialogs.h"

// Resource defines
#define WINDOWMENU  2

#ifdef RC_INVOKED
#define ID(id) id
#else
#define ID(id) MAKEINTRESOURCE(id)
#endif

#define APPICON          1001
#define IDS_FILTERSTRING 1002

// Menu ID's
#define IDM_RETRIEVE    20
#define IDM_ABOUT       21
#define IDM_EXIT        22

#define IDM_START       40
#define IDM_PAUSE       41
#define IDM_RESTART     42

#define IDM_CASCADE	60
#define IDM_TILE	61

#define SPAWN_THREAD    70

#define SIZEOFCAPTIONTEXT	20

#define MAX_BATCH   50
#define MAX_ROWS    50

#define CCOLORS 16
#define RES_THREADS 0
#define SUS_THREADS 1

// Type definitions
struct statistics
{
    time_t Start_time;
    time_t Stop_time;
    time_t Current_time;
    time_t Min_time;
    time_t Max_time;
    time_t Tot_time;
    BOOL   bFirst_time;
};

typedef struct _ThreadInfo {
	HANDLE	  hThread;
        HANDLE    hCopy_sem;
	BOOL	  bKillThrd;
	HWND	  hwndClient;
	HWND	  hwndThreadWindow;
	LONG	  lThreadId;
	char	  CaptionBarText[SIZEOFCAPTIONTEXT];
	RECT	  rcClient;
	HDC	  hdcThreadWindow;
	char *	  pszRow[MAX_ROWS];
        char *    pszDsp[MAX_ROWS];
	int	  iCurrentRow;
        int       iDspCount;
        int       iIteration;
        int       iQuery;
        DBPROCESS *dbproc;
        int       iStartTimePos, iMinTimePos, iMaxTimePos, iTotTimePos;
        struct    statistics stats;

} THREADINFO, *PTHREADINFO;

typedef struct _node {
    THREADINFO ThreadWindow;
    HANDLE	    hNext;
} NODE, *PNODE;


typedef struct _Batch
{
    int iDelay;
    LPSTR pszQuery;

} BATCH;


#define MSGBOX(a) MessageBox(NULL, a,"SQL Stress Message",MB_OK | MB_ICONINFORMATION)
#define ERRBOX(a) MessageBox(NULL, a,"SQL Stress Error",MB_OK | MB_ICONSTOP)

// Function declarations.
BOOL InitializeApp         (void);
LONG MainWndProc           (HWND, UINT, DWORD, LONG);
BOOL GetQueryBatch         (void);
LONG ThreadWndProc         (HWND, UINT, DWORD, LONG);
LONG About	           (HWND, UINT, DWORD, LONG);
long StartDlgProc          (HWND, UINT, DWORD, LONG);
long QueryListDlgProc      (HWND, UINT, DWORD, LONG);
LONG SelectBatch           (HWND, UINT, DWORD, LONG);
LONG StartClient           (PTHREADINFO);
BOOL InitClient	           (PTHREADINFO);
int  GetRandomVector       ();
void InitializeBoxes       (BOOL, PTHREADINFO);
VOID ManageThreads         (int);
BOOL StrCat                (LPSTR * ,LPSTR);
PTHREADINFO FindThreadInfo (HWND);
BOOL ResultPreamble        (PTHREADINFO, int, int, LPSTR);
BOOL CopyRowToDsp          (PTHREADINFO);
void GetElapsedTime        (struct statistics *, int, int);
