#ifndef WSLSTR_INCL
#define WSLSTR_INCL

#include "claufo.hpp" // Somehow this seems to be case sensitive!

class DynStr {
// For Gavins use (To be removed)
   friend class HoldItem;               // Used for #Begin,#Commit,#End
   friend class StrUtil;


public:
   DynStr();
   DynStr(char *);
   DynStr(char*, size_t);
   DynStr(size_t);
   ~DynStr();

   size_t strlen(void) const { return Len; }
   void  kill(void);
   void  cat(char);
   void  cat(const char *);
   void  cat(const wchar_t *);
   void  cat(const char *, size_t);
   void  cat(int);
   void  cat(unsigned);
   void  cat(unsigned long);
   void  catbase(unsigned long, unsigned base);
   void  cat(long);
   void  cat(double);
   void  cat(const Ufo *);
   void  catwindowtext(HWND);
   void  BinaryToText(const char *);       // Expand ' to '' etc.
   int   TextToBinary(const char * &);     // Lex a string
   void  PadTo(unsigned);

   void  catf(const char*, ...);
   void  vcatf(const char *, va_list);

   void  clip(void);
   void  trunc(size_t);

   operator char * ();

   void  cat(char, unsigned);           // Fill with characters
   void  maxcpy(size_t, char *);
   void  PopString(void);
   void  PushString(void);
   void  PushString(unsigned, unsigned);

   char * cut(int);              /*** Clear string + return cur value on heap ***/

   char * GetBuffer(size_t);

private:
   void Realloc(size_t);
   void clear(void);

protected:
   char *  Str;
   size_t  Len;
   size_t  MaxLen;
};

extern "C" void _strmaxcpy(char *, const char *, size_t);
extern "C" void _strmaxcat(char *, const char *, size_t);
extern "C" int  TextToBinary(size_t max, char * dest, const char * & src);
extern "C" void BinaryToText(size_t max, char * dest, const char * src);

extern "Modula2" long Wsl$StrToLong(const char * &);


#endif /* WSLSTR_INCL */

